Bug 10680 - smbstatus does not print all open files
smbstatus does not print all open files
Status: RESOLVED FIXED
Product: Samba 4.0
Classification: Unclassified
Component: File services
unspecified
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-06-29 08:52 UTC by Volker Lendecke
Modified: 2014-07-17 18:38 UTC (History)
1 user (show)

See Also:


Attachments
patch (995 bytes, patch)
2014-06-29 09:03 UTC, Volker Lendecke
obnox: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Volker Lendecke 2014-06-29 08:52:14 UTC
There's an uninitialized variable in share_mode_forall
Comment 1 Volker Lendecke 2014-06-29 09:03:59 UTC
Created attachment 10060 [details]
patch

Patch applies with git am -3 to 4.1 and master as well. Please push to master after review :-)

Thanks,

Volker
Comment 2 Jeremy Allison 2014-07-07 20:47:06 UTC
LGTM. Michael, can you +1 this so we can get into 4.1.next and 4.0.next !

Jeremy.
Comment 3 Michael Adam 2014-07-09 22:47:41 UTC
Comment on attachment 10060 [details]
patch

ACK,
but we should do a proper cherry-pick of 9f2e9075
Comment 4 Jeremy Allison 2014-07-10 00:22:38 UTC
Re-assigning to Karolin for inclusion in 4.1.next, 4.0.next.
Jeremy.
Comment 5 Karolin Seeger 2014-07-11 07:06:38 UTC
(In reply to comment #4)
> Re-assigning to Karolin for inclusion in 4.1.next, 4.0.next.
> Jeremy.

Pushed to autobuild-v4-[0|1]-test.
Comment 6 Karolin Seeger 2014-07-17 18:38:19 UTC
Pushed to both branches.
Closing out bug report.

Thanks!